Index: code/branches/wiimote/cmake/LibraryConfig.cmake
===================================================================
--- code/branches/wiimote/cmake/LibraryConfig.cmake	(revision 9826)
+++ code/branches/wiimote/cmake/LibraryConfig.cmake	(revision 9827)
@@ -205,5 +205,5 @@
 ENDIF(WIN32)
 
-LIST(APPEND CMAKE_INCLUDE_PATH "/home/georgr/Documents/WiiC")
+#LIST(APPEND CMAKE_INCLUDE_PATH "/home/georgr/Documents/WiiC")
 ################# OGRE Plugins ##################
 
Index: code/branches/wiimote/cmake/LibraryConfigTardis.cmake
===================================================================
--- code/branches/wiimote/cmake/LibraryConfigTardis.cmake	(revision 9826)
+++ code/branches/wiimote/cmake/LibraryConfigTardis.cmake	(revision 9827)
@@ -84,7 +84,4 @@
 
 
-  LIST(APPEND CMAKE_INCLUDE_PATH "/home/georgr/Documents/WiiC/")
-
-
   # Sandro fix: add flag that re-enables boost threads. This makes the combination
   #             of GCC version > 4.7 and older libboost work. See 
Index: code/branches/wiimote/cmake/tools/FindBluetooth.cmake
===================================================================
--- code/branches/wiimote/cmake/tools/FindBluetooth.cmake	(revision 9826)
+++ code/branches/wiimote/cmake/tools/FindBluetooth.cmake	(revision 9827)
@@ -1,8 +1,9 @@
 IF(LINUX)
-        MESSAGE(STATUS 'sewpertest')
-	FIND_PATH(BLUETOOTH_INCLUDE_DIR bluetooth.h /usr/include/bluetooth/ /usr/local/include/bluetooth /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth)
-	FIND_LIBRARY(BLUETOOTH_LIBRARY NAMES bluetooth PATHS  /usr/lib/ /usr/lib/x86_64-linux-gnu /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/lib/x86_64-linux-gnu) 
-        MESSAGE(STATUS "sewpertest 2 ${BLUETOOTH_LIBRARY}")
-        MESSAGE(STATUS "sewpertest 3 ${BLUETOOTH_INCLUDE_DIR}")
+	#FIND_PATH(BLUETOOTH_INCLUDE_DIR NAMES bluetooth PATHS /usr/include/bluetooth/ /usr/local/include/bluetooth /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth)
+	#FIND_LIBRARY(BLUETOOTH_LIBRARY NAMES bluetooth PATHS  /usr/lib/ /usr/lib/x86_64-linux-gnu /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/lib/x86_64-linux-gnu) 
+	FIND_PATH(BLUETOOTH_INCLUDE_DIR bluetooth /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/)
+	FIND_LIBRARY(BLUETOOTH_LIBRARY NAMES bluetooth PATHS  /home/georgr/libbluetooth-dev/libbluetooth-dev/usr/lib/x86_64-linux-gnu/) 
+        MESSAGE(STATUS "Bluetooth library test: ${BLUETOOTH_LIBRARY}")
+        MESSAGE(STATUS "Bluetooth header test: ${BLUETOOTH_INCLUDE_DIR}")
 	IF(BLUETOOTH_INCLUDE_DIR AND BLUETOOTH_LIBRARY)
 		SET(BLUETOOTH_FOUND TRUE)
Index: code/branches/wiimote/src/external/wiicpp/wiic/io.h
===================================================================
--- code/branches/wiimote/src/external/wiicpp/wiic/io.h	(revision 9826)
+++ code/branches/wiimote/src/external/wiicpp/wiic/io.h	(revision 9827)
@@ -38,8 +38,9 @@
 #define CONNECT_H_INCLUDED
 
-#ifdef LINUX
-//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
-#include "/usr/include/bluetooth/bluetooth.h"
-#endif
+/* This is not required, wiic_internal already includes bluetooth. */
+//#ifdef LINUX
+////#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+	//#include <bluetooth.h>
+//#endif
 
 #include "wiic_internal.h"
Index: code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c
===================================================================
--- code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c	(revision 9826)
+++ code/branches/wiimote/src/external/wiicpp/wiic/io_nix.c	(revision 9827)
@@ -41,12 +41,16 @@
 #include <unistd.h>
 
-//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
-//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci.h"
-//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci_lib.h"
-//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/l2cap.h"
-#include "/usr/include/bluetooth/bluetooth.h"
-#include "/usr/include/bluetooth/hci.h"
-#include "/usr/include/bluetooth/hci_lib.h"
-#include "/usr/include/bluetooth/l2cap.h"
+/* SANDRO HACK can't get bluetooth to work properly at the moment, will come
+ * back here and fix this very ugly inclusion as soon as I get to grips with
+ * cmake.
+ */
+#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
+#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci.h"
+#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/hci_lib.h"
+#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/l2cap.h"
+//#include "/usr/include/bluetooth/bluetooth.h"
+//#include "/usr/include/bluetooth/hci.h"
+//#include "/usr/include/bluetooth/hci_lib.h"
+//#include "/usr/include/bluetooth/l2cap.h"
 
 #include "definitions.h"
Index: code/branches/wiimote/src/external/wiicpp/wiic/wiic.h
===================================================================
--- code/branches/wiimote/src/external/wiicpp/wiic/wiic.h	(revision 9826)
+++ code/branches/wiimote/src/external/wiicpp/wiic/wiic.h	(revision 9827)
@@ -48,6 +48,11 @@
 #else
 	/* nix */
-	//#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
-	#include "/usr/include/bluetooth/bluetooth.h"
+/* SANDRO HACK can't get bluetooth to work properly at the moment, will come
+ * back here and fix this very ugly inclusion as soon as I get to grips with
+ * cmake.
+ */
+//	#include "bluetooth/bluetooth.h"
+//	#include <bluetooth.h>
+	#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h"
 #endif
 
Index: code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h
===================================================================
--- code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h	(revision 9826)
+++ code/branches/wiimote/src/external/wiicpp/wiic/wiic_internal.h	(revision 9827)
@@ -50,6 +50,11 @@
 #ifndef __APPLE__
 	#include <arpa/inet.h>				/* htons() */
-//	#include <bluetooth.h>
-	#include "/usr/include/bluetooth/bluetooth.h"
+/* SANDRO HACK can't get bluetooth to work properly at the moment, will come
+ * back here and fix this very ugly inclusion as soon as I get to grips with
+ * cmake.
+ */
+//      #include <bluetooth.h>
+//	#include "bluetooth/bluetooth.h"
+	#include "/home/georgr/libbluetooth-dev/libbluetooth-dev/usr/include/bluetooth/bluetooth.h" 
 #endif
 