Index: /code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9887)
+++ /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9888)
@@ -3,11 +3,8 @@
 <!--
 To Do:
-- Bigger Way for guard 3 (sonst im Mainship)
-- Spawnpoint 3
+- guard3 vor mainship (hood-problem)
 - Discuss between Player and Captain Hood
-- Scout-way
-- Different Colors of the light!
 - If possible, do the spion with DistanceTriggerBeacon
-- Place the explosion right (time an place)
+- Place the explosion right (time and place)
 - also place the docking-Trigger
 - bigger explosion?
@@ -130,9 +127,22 @@
         </SpawnPoint>
 	
-	<!-- Thirth Spawnpoint (when reached Captain Hood) --
-	<SpawnPoint team=0 position="-4000, -18000, 19000" lookat="-12000, -22000, 25000" spawnclass=SpaceShip pawndesign=spaceshipswallow /> <!-- pawndesign=spaceshipcollateraldamage --
+	<!-- Thirth Spawnpoint (when reached Captain Hood) -->
+	<SpawnPoint team=0 position="-4000, -18000, 19000" lookat="-12000, -22000, 25000" spawnclass=SpaceShip pawndesign=spaceshipswallow > <!-- pawndesign=spaceshipcollateraldamage -->
 	  <events>
             <activity>
-	      <EventListener event="reached" />
+	      <EventTrigger>
+		<EventTrigger invert=true >
+		  <events>
+		    <trigger>
+		      <EventListener event="timerEnd" />
+		    </trigger>
+		  </events>
+		</EventTrigger>
+		<events>
+		  <trigger>
+                    <EventListener event="reached" />
+		  </trigger>
+		</events>
+	      </EventTrigger>
             </activity>
           </events>
@@ -208,5 +218,5 @@
 			<AddQuest questId="spacefight.rescue" />
 			<!--
-			<BlinkingBillboard position="-12100, -22000, 25000" color="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
+			<BlinkingBillboard position="-12100, -22000, 25000" colour="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
 			--
 		</complete-effects>
@@ -228,5 +238,5 @@
 			<AddQuest questId="spacefight.rescue" />
 			<!--
-			<BlinkingBillboard position="-12100, -22000, 25000" color="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
+			<BlinkingBillboard position="-12100, -22000, 25000" colour="1.0,1.0,1.0" frequency=0.6 amplitude=2 material="Examples/Flare" visibility="true" />
 			--
 		</complete-effects>
@@ -308,5 +318,5 @@
 
 
-	<BlinkingBillboard position="11000, 1000, 7000" color="1.0, 1.0, 0.05" frequency=0.5 amplitude=10 material="Examples/Flare" >
+	<BlinkingBillboard position="11000, 1000, 7000" colour="1.0, 1.0, 0.05" frequency=0.5 amplitude=10 material="Examples/Flare" >
           <events>
             <visibility>
@@ -606,5 +616,15 @@
 
 	<!-- DistanceTrigger for spion -->
-	<DistanceTrigger name="spionTrigger" position="15000, 1000, 25000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+	<Trigger name="spionTrigger" mode="and" stayActive="true">
+	  <DistanceTrigger position="15000, 1000, 25000" target="SpaceShip" distance=50 stayActive="true" delay=0.1 />
+          <EventTrigger activations="1" invert="true">
+            <events>
+              <trigger>
+                <EventListener event="spion5" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </Trigger>
+
 	<SimpleNotification message="Scout is arrived!"  broadcast="true">
 		<events>
@@ -631,5 +651,5 @@
 	</SimpleNotification>
 
-	<BlinkingBillboard position="15000, 1000, 25000" color="1.0, 1.0, 0.05" frequency=0.3 amplitude=7 material="Examples/Flare" >
+	<BlinkingBillboard position="15000, 1000, 25000" colour="1.0, 1.0, 0.05" frequency=0.3 amplitude=7 material="Examples/Flare" >
 	  <events>
 	    <visibility>
@@ -767,16 +787,113 @@
 
 	<!-- End of Mainfight -->
-	<DistanceTrigger name="victory" position="-12000, -22000, 25000" target="SpaceShip" distance=10000 stayActive="true" delay=0.1 >
-		<EventTrigger>
-			<events>
-				<trigger>
-					<EventListener event="guard3trigger4" />
-				</trigger>
-			</events>
-		</EventTrigger>
-	</DistanceTrigger>
+        <Trigger name="victory1" mode="and" stayActive="true">
+	  <EventTrigger>
+	    <events>
+	      <trigger>
+		<EventListener event="guard3trigger4" />
+	      </trigger>
+	    </events>
+	  </EventTrigger>
+          <EventTrigger activations="1" >
+            <events>
+              <trigger>
+                <EventListener event="spion5" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </Trigger>
+
+        <Trigger name="victory2" mode="and" stayActive="true">
+	  <EventTrigger activations="1" >
+	    <events>
+	      <trigger>
+		<EventListener event="guard3trigger6" />
+	        </trigger>
+	    </events>
+	  </EventTrigger>
+          <EventTrigger activations="1" >
+            <events>
+              <trigger>
+                <EventListener event="spionTrigger" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </Trigger>
+
+        <Trigger name="victory" mode="or" stayActive="true">
+	  <EventTrigger activations="1" >
+	    <events>
+	      <trigger>
+		<EventListener event="victory1" />
+	      </trigger>
+	    </events>
+	  </EventTrigger>
+	  <EventTrigger activations="1" >
+            <events>
+              <trigger>
+                <EventListener event="victory2" />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </Trigger>
+
+	<SimpleNotification message="YEEEHAAA! You managed it!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="victory" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<EventTrigger name="victoryDelay1" delay=5 >
+	  <events>
+	    <trigger>
+	      <EventListener event="victory" />
+	    </trigger>
+	  </events>
+	</EventTrigger>
+
+	<SimpleNotification message="For that you will get the golden medal of the united space armies."  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="victoryDelay1" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<EventTrigger name="victoryDelay2" delay=5 >
+	  <events>
+	    <trigger>
+	      <EventListener event="victoryDelay1" />
+	    </trigger>
+	  </events>
+	</EventTrigger>
+
+	<SimpleNotification message="Now dock at the mainship and free the Commander!"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="victoryDelay2" />
+			</trigger>
+		</events>
+	</SimpleNotification>
+
+	<EventTrigger name="victoryDelay3" delay=5 >
+	  <events>
+	    <trigger>
+	      <EventListener event="victoryDelay2" />
+	    </trigger>
+	  </events>
+	</EventTrigger>
+
+	<SimpleNotification message="The light shows you the hatch"  broadcast="true">
+		<events>
+			<trigger>
+				<EventListener event="victoryDelay3" />
+			</trigger>
+		</events>
+	</SimpleNotification>
 
 	<!-- Rescue the commander -->
-	<BlinkingBillboard position="-11800, -22090, 24900" color="1.0, 1.0, 0.05" frequency=0.5 amplitude=5 material="Examples/Flare" >
+	<BlinkingBillboard position="-11800, -22090, 24900" colour="1.0, 1.0, 0.05" frequency=0.5 amplitude=5 material="Examples/Flare" >
 	  <events>
 	    <visibility>
@@ -807,21 +924,14 @@
 		</events>
 	</SimpleNotification>
-
-    <EventTrigger name="dockdelay1" activations="1" stayactive="true" delay=5.1 >
-      <events>
-        <trigger>
-          <EventListener event="dock" />
-        </trigger>
-      </events>
-    </EventTrigger>
-
-    <EventTrigger name="dockdelay2" activations="1" stayactive="true" delay=5.1 >
-      <events>
-        <trigger>
-          <EventListener event="dock" />
-        </trigger>
-      </events>
-    </EventTrigger>
-
+	
+	<!-- TIMER-EVENTS -->
+	<EventTrigger name="dockdelay1" activations="1" stayactive="true" delay=5 >
+	  <events>
+	    <trigger>
+	      <EventListener event="dock" />
+	    </trigger>
+	  </events>
+	</EventTrigger>	
+	
 	<SimpleNotification message="You have 10 seconds to move away..."  broadcast="true">
 		<events>
@@ -832,4 +942,12 @@
 	</SimpleNotification>
 
+	<EventTrigger name="dockdelay2" activations="1" stayactive="true" delay=5 >
+	  <events>
+	    <trigger>
+	      <EventListener event="dock" />
+	    </trigger>
+	  </events>
+	</EventTrigger>
+
 	<SimpleNotification message="A bomb is placed in the mainship..."  broadcast="true">
 		<events>
@@ -840,6 +958,6 @@
 	</SimpleNotification>
 
-	<!-- TIMER-EVENTS -->
-    <EventTrigger name="timer1" activations="1" stayactive="true" delay=5.1 >
+
+    <EventTrigger name="timer1" activations="1" stayactive="true" delay=5 >
       <events>
         <trigger>
@@ -865,8 +983,5 @@
     </EventTrigger>
 
-<!-- ----------------------------------------------------- -->
-
-<!-- EVENTTRIGGER -->
-    
+<!-- ----------------------------------------------------- -->    
 <!-- For Guard 1 -->
 <!-- @Triggers: attacktriggerX <-> X enemies destroyed , X is an element of [1,4] -->
@@ -982,8 +1097,8 @@
         </EventTrigger>
       </EventTrigger>
-    </EventTrigger>			
+    </EventTrigger>
 	
 <!-- ----------------------------------------------------- -->
-<!-- Passive Piraten: Guard 1 -->
+<!-- Passive Pirates: Guard 1 -->
 <SpaceShip position="8000,1000,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
   <events>
@@ -1025,5 +1140,5 @@
 
 
-<!-- Angreiffende Piraten: Guard 1 -->
+<!-- Active Pirates: Guard 1 -->
 <SpaceShip position="8000,-1000,1000" lookat="8000,1000,-1000" name="firstPatrol" visible="true" radarname="Patrol" >
   <events>
@@ -1074,5 +1189,5 @@
 </SpaceShip>
 
-<!-- Angreiffende Piraten: Guard 2 -->
+<!-- Active Pirates: Guard 2 -->
 <SpaceShip position="19000,5000,18000" lookat="19000,4900,21000" name="secondPatrol" visible="true" radarname="Patrol">
   <events>
@@ -1210,5 +1325,4 @@
 	<Model mesh="cube.mesh" scale=0 position="15000, 1000, 25000" />
         <Model mesh="cube.mesh" scale=0 position="0, -10000, 42000" />
-        <Model mesh="cube.mesh" scale=0 position="-12000, -22000, 25000" />
       </waypoints>
       <events>
@@ -1227,5 +1341,5 @@
 
 <!-- Mainship - Pirates -->
-<SpaceShip position="-12000, -22000, 26000" lookat="-12000, -21300, 25700" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -20000, 27000" lookat="-12000, -20000, 23000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1239,12 +1353,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=10 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=10 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 25000" />
+        <Model mesh="cube.mesh" scale=10 position="-12000, -20000, 23000" />
+        <Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 27000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -20000, 27000" />
       </waypoints>
       <events>
@@ -1257,5 +1367,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -21000, 25000" lookat="-12000, -21300, 24300" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -20000, 23000" lookat="-12000, -24000, 23000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1269,12 +1379,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=10 position="-12000, -21000, 25000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 27000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -20000, 23000" />
       </waypoints>
       <events>
@@ -1287,5 +1393,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -22000, 24000" lookat="-12000, -22700, 24300" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -24000, 23000" lookat="-12000, -24000, 23000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1299,12 +1405,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=10 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 24000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 27000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -20000, 23000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
       </waypoints>
       <events>
@@ -1317,5 +1419,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12000, -23000, 25000" lookat="-12000, -22700, 25700" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-12000, -24000, 23000" lookat="-12000, -24000, 27000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1329,12 +1431,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 25700" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 25000" />        
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 25700" />
-        <Model mesh="cube.mesh" scale=10 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -21300, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22000, 24000" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -22700, 24300" />
-	<Model mesh="cube.mesh" scale=10 position="-12000, -23000, 25000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 27000" />
+	<Model mesh="cube.mesh" scale=10 position="-12000, -20000, 23000" />        
+	<Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
+        <Model mesh="cube.mesh" scale=10 position="-12000, -24000, 23000" />
       </waypoints>
       <events>
@@ -1348,5 +1446,5 @@
 
 <!-- Additional pirates if the spion has warned the mainship -->
-<SpaceShip position="-11700, -21700, 25000" lookat="-11000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-10000, -22000, 25000" lookat="-10000, -24000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1360,12 +1458,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=0 position="-11000, -22000, 25000" />
-        <Model mesh="cube.mesh" scale=0 position="-11300, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12700, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-13000, -22000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12700, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-11300, -21300, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -24000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-14000, -24000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-14000, -20000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-10000, -20000, 25000" />
       </waypoints>
       <events>
@@ -1378,5 +1472,5 @@
 </SpaceShip>
 
-<SpaceShip position="-12700, -22700, 25000" lookat="-13000, -22000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
+<SpaceShip position="-14000, -22000, 25000" lookat="-14000, -20000, 25000" name="lastGuard" visible="true" radarname="Pirate" >
   <events>
     <visibility>
@@ -1390,12 +1484,8 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=0 position="-13000, -22000, 25000" />
-        <Model mesh="cube.mesh" scale=0 position="-12700, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12000, -21000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-11300, -21300, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-11000, -22000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-11300, -22700, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12000, -23000, 25000" />
-	<Model mesh="cube.mesh" scale=0 position="-12700, -22700, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-14000, -20000, 25000" />
+        <Model mesh="cube.mesh" scale=0 position="-10000, -20000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-10000, -24000, 25000" />
+	<Model mesh="cube.mesh" scale=0 position="-14000, -24000, 25000" />
       </waypoints>
       <events>
@@ -1419,7 +1509,6 @@
   </templates>
   <controller>
-    <WaypointPatrolController alertnessradius=2000 team=0 active=false>
+    <WaypointPatrolController alertnessradius=5000 team=0 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=0 position="0, -1000, 18000" />
 	<Model mesh="cube.mesh" scale=0 position="-4000, -18000, 19000" />
 	<Model mesh="cube.mesh" scale=0 position="-11500, -22000, 25000" />
@@ -1434,5 +1523,5 @@
 </SpaceShip>
 
-<BlinkingBillboard position="10000, 2000, 17000" color="1.0, 1.0, 0.05" frequency=0.5 amplitude=20 material="Examples/Flare" >
+<BlinkingBillboard position="10000, 2000, 17000" colour="1.0, 1.0, 0.05" frequency=0.5 amplitude=20 material="Examples/Flare" >
   <events>
     <visibility>
@@ -1588,5 +1677,5 @@
 	visible	  = "true" >
       <controller>
-        <WaypointPatrolController alertnessradius=2000 team=0 active=false>
+        <WaypointController team=1 active="true" >
           <waypoints/>
           <events>
@@ -1595,8 +1684,8 @@
 	    </activity>
           </events>
-        </WaypointPatrolController>
+        </WaypointController>
       </controller>
       <attached>
-        <Model scale=250 mesh="drone.mesh" position = "0,0,0" lookat="40000, 4000, 27000" />
+        <Model scale=200 mesh="drone.mesh" position = "0,0,0" lookat="40000, 4000, 27000" />
    <!-- <Model mesh="cube.mesh" mass=10 position="-560,0,0" scale3D="115,100,245"  />
         <Model mesh="cube.mesh" mass=10 position="290,0,-480" scale3D="115,100,245" yaw=-120 />